MULTITAIL(1)

NAME
multitail.pl - Read multiple log files. The log files can be written round.

SYNOPSIS
        multitail.pl [-a] [-d delay] [-p begin|end] [-t]
                [-o outFile [-m max] [-P]
                 [[-n noFiles] | [-s [-c compressprog]] ]
                ] files...

OPTIONS

-a, --addName
        add filename to the output at the beginning of each line

-d, --delay
        delay in sec. between checking the files (default 5 sec)

-p, --position
        read from begin or end of file (default = begin)

-t, --withTime
        with current time and date in the output

-o, --out
        write output to file

-m, --maxFilelen
        maximal len of file written round (default = 1e6)

-n, --noOldFiles
        number of old files to store

-P, --withPID
        write pid to log file (default is not)

-H, --withHostname
        write hostname to log file (default is not)

-l, --maxlines
        maximal number of lines to read per --delay in one chunk
        from a log file (default = 100)
        this value multiplied with [-d] is the number read at once

-s, --saveLogs
        save log files with date and time instead of deleting the
        old (with [-noOldFiles])

-c, --compressWith
        compress saved log files (e.g. with -c 'gzip -9')

-V
        print version(s)

COPYRIGHT
Copyright (c) 2001-2012 by Heinz-Josef Claes (see README) Published under the GNU General Public License or any later version